#
# spec file for package ghc-base-orphans
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%global pkg_name base-orphans

%bcond_with tests

Name:           ghc-base-orphans
Version:        0.5.4
Release:        2.4
Summary:        Backwards-compatible orphan instances for base
Group:          System/Libraries

License:        MIT
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-hspec-devel
%endif
# End cabal-rpm deps

%description
'base-orphans' defines orphan instances that mimic instances available in later
versions of 'base' to a wider (older) range of compilers.
'base-orphans' does not export anything except the orphan instances themselves
and complements '<http://hackage.haskell.org/package/base-compat base-compat>'.
See the README for what instances are covered:
<https://github.com/haskell-compat/base-orphans#readme>. See also the
<https://github.com/haskell-compat/base-orphans#what-is-not-covered what is not
covered> section.


%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install
sed -i 's/\r//' LICENSE README.markdown

%check
%if %{with tests}
%cabal test
%endif


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE


%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc README.markdown


%changelog
* Tue Apr 12 2016 mimi.vx@gmail.com
- update to 0.5.4
  * Backported Bits, FiniteBits, Floating, Fractional, Integral, IsString, Num, Real,
    RealFloat, and RealFrac instances for Identity and Const
* Tue Mar  8 2016 mimi.vx@gmail.com
- update to 0.5.3
  * Backported Alternative, MonadPlus and MonadZip instances for U1 and Proxy, and
    made the Functor, Foldable, Traversable, Alternative, and Monad instances for
    U1 lazier to correspond with base-4.9
* Sun Feb 28 2016 mimi.vx@gmail.com
- update to 0.5.2
  * Backported Enum, Bounded, Ix, Functor, Applicative, Monad, MonadFix, MonadPlus,
    MonadZip, Foldable, Traversable, and Data instances for datatypes
    in the GHC.Generics module (introduced in base-4.9)
* Tue Feb  2 2016 mimi.vx@gmail.com
- update to 0.5.1
  * The Storable instances for Complex and Ratio are now exactly
    as lazy as their counterparts in base
* Wed Jan 20 2016 mimi.vx@gmail.com
- update to 0.5.0
  * Backported instances introduced in GHC 8.0/base-4.9
* Thu Dec 17 2015 mimi.vx@gmail.com
- update to 0.4.5
  * Import Control.Monad.Instances
  * Fix build on GHC HEAD (again)
* Sun Aug 16 2015 mimi.vx@gmail.com
- update to 0.4.4
  * Fix build on GHC HEAD
* Thu Aug 13 2015 mimi.vx@gmail.com
- update to 0.4.3
  * Fix build on OSes where HTYPE_DEV_T = Int32
* Thu Aug  6 2015 mimi.vx@gmail.com
- initial commit
